<ng-container [ngSwitch]="currentError">
  <div class="text" *ngSwitchCase="errorTypes.ERROR">
    <h1>UPSSS there was and error!</h1>
    <h2>Please try again!</h2>
  </div>

  <div class="img" *ngSwitchCase="errorTypes.WORK_IN_PROGRESS">
    <img class="working" />
  </div>

  <div class="text" *ngSwitchCase="errorTypes.SEARCH_ERROR">
    <h1>We couldnt find that Summoner name!</h1>
    <h2>Please check the spelling!</h2>
    <app-search></app-search>
  </div>

  <div class="img" *ngSwitchCase="errorTypes.NOT_VALID_URL">
    <img class="lost" />
  </div>
</ng-container>
